#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_MultiLanguageCFGData
{
	//Key
	std::string mID;
	//ÖÐÎÄÃû×Ö
	std::string mName;
};

class Fish_MultiLanguageCFG
{
public:
private:
	static std::auto_ptr<Fish_MultiLanguageCFG> msSingleton;
public:
	int GetCount();
	const Fish_MultiLanguageCFGData* GetData(std::string ID);
	boost::unordered_map<std::string, Fish_MultiLanguageCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_MultiLanguageCFG* GetSingleton();
private:
	boost::unordered_map<std::string, Fish_MultiLanguageCFGData> mMapData;
};
